Subject: Re: [Teas] Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

From: "Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept)" <[email-masked]>
Date: Thu, 6 Dec 2018 12:38:58 +0000

Hi, Adrian, 

Thank you for the comments, we just updated this work to -02 and hopefully all the comments are addressed. We are also looking forward to see the feedback from the chairs, plans and/or advices are highly appreciated, thank you. 

FYI, the -02 draft is now available at:
URL:            https://www.ietf.org/internet-drafts/draft-zheng-teas-gmpls-controller-inter-work-02.txt 
Status:         https://datatracker.ietf.org/doc/draft-zheng-teas-gmpls-controller-inter-work/ 
Htmlized:       https://tools.ietf.org/html/draft-zheng-teas-gmpls-controller-inter-work-02 
Htmlized:       https://datatracker.ietf.org/doc/html/draft-zheng-teas-gmpls-controller-inter-work 
Diff:           https://www.ietf.org/rfcdiff?url2=draft-zheng-teas-gmpls-controller-inter-work-02 

Best wishes,
Haomian

-----邮件原件-----
发件人: Adrian Farrel [mailto:[email-masked]] 
发送时间: 2018年12月5日 17:33
收件人: [email-masked]
抄送: [email-masked]
主题: Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

Hi,

I just had cause to read this draft, and that generated a few small comments (below). Otherwise, it seems a fairly sound document.

I wonder what the plans are for this document. IIRC it was moved from CCAMP to TEAS after discussion between the chairs and considering that it had a broader TE scope. Does that mean there is a plan for this to become a TEAS WG document? Chairs?

Thanks,
Adrian

===

Right hand margin alignment on the top of the front page seems to be a bit messed up.
 
---
 
There seem to be two carriage returns at the bottom of each page.
 
---
 
idnits shows a few issues with references
  == Missing Reference: 'TE-TOPO' is mentioned on line 247, but not defined
 
  == Missing Reference: 'I-D.ietf-pce-pce-initiated-lsp' is mentioned on line
     349, but not defined
 
  == Missing Reference: 'PCEP-LS' is mentioned on line 397, but not defined
 
  == Unused Reference: 'RFC8281' is defined on line 593, but no explicit
     reference was found in the text
 
---
 
Abstract
I think, in order to avoid having to expand "LMP" and to make the text a little bit more brief, you might leave out the three examples in parentheses.
 
---
 
Abstract
You aren't allowed citations in the Abstract, so OLD is ACTN controller hierarchy [RFC8453] NEW is the ACTN controller hierarchy described in RFC 8453 END
 
---
 
Abstract
s/advantage/advantages/
 
---
 
If you think you need the 2119 language (which you currently don't use and probably don't need), you should move "Conventions used in this document" down to become Section 2 and replace it with the new text...
 
   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in BCP
   14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.
 
That requires you to make an addition to the normative references for RFC 8174.
 
Of course, better is to entirely remove this text and to remove the reference to 2119 from 11.1.
 
---
 
Introduction
Need to expand PNC, MDSC, and CNC.
Similarly PCE.
 
---
 
2.1
s/establish LSP/establish Label Switched Paths (LSPs)/ s/the same network topology/the same view of the network topology/
 
---
 
2.2
s/In centralized controller system/In centralized controller systems/
 
---
 
2.3
s/Following figure/Figure 1/
 
---
 
3.
OLD
   In addition to setup and 
   maintain control channels,
NEW
   In addition to the setup and 
   maintenance of control channels,
END
 
---
 
5.
s/Once a controller learn/Once a controller learns/
 
---
 
6.
s/Signaling mechanism is/Signaling mechanisms are/
 
---
 
6.
You have....
   Signaling protocols such as 
   RSVP-TE [RFC3473] and CR-LDP [RFC3472] have been extended to support 
   different interfaces in GMPLS. 
 
I think it is time to stop mentioning CR-LDP. It is now substantially historic and has fallen so far behind RSVP-TE as to be basically unusable.
 
---
 
7.1
s/method has/methods have/
 
---
 
Obviously sections 8 and 9 need some text.
 
---
 
I think you need to sort out the references. Currently you have them all as Normative, and that isn't right. Your guide should be "Which documents *must* you read to understand the basis of this document (normative), and which documents provide additional detail that a dedicated reader would want to read (informative)?"

---

From: Lou Berger <[email-masked]>
Date: Sat, 8 Dec 2018 08:53:35 -0500

Hi,

Since you asked....

I think Pavan and I have no reservations about this work progressing in 
the WG.  We do have a couple of things that think it would be worth 
clarifying before adoption poll.

1) it would be good to clarify that ACTN is one (example) method for 
implementing centralized control.  The document is good in some places, 
e.g., section 1, but less so in others. It would be good to ensure that 
the reader, particularly those new to the topic, understand that ACTN is 
just one way to provide centralized control, e.g., section 2.3 reads as 
if ACTN is the sole supported method; a PCE based approach is mentioned 
in the document but this is buried at end of section 5.2.

2) It would best if the examples lined up with what we are covering in 
the WG.  For example, I don't believe we've had any suggestion or 
discussion use of OSPF-TE as an SBI as shown in figure 1.  (A nit, it 
should be NetConf/YANG.) If your intent is to propose this, than this 
should be clarified and perhaps added to section 7.

3) We see Section 7 as the (future) core of the document and clearly a 
work in progress.  This is can be addressed pre or post WG adoption.

Thanks,
Pavan and Lou

On 12/6/2018 7:38 AM, Zhenghaomian (Zhenghaomian, Optical &Microwave 
Technology Research Dept) wrote:
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

---

From: "Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept)" <[email-masked]>
Date: Mon, 10 Dec 2018 01:14:34 +0000

Hi, Lou and Pavan,

Thank you for the advices, we will address 1) and 2) in the next update. For 3), I agree with you that section 7 needed to be updated consecutively, but probably after WG adoption. 

Best wishes,
Haomian

-----邮件原件-----
发件人: Lou Berger [mailto:[email-masked]] 
发送时间: 2018年12月8日 21:54
收件人: Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept) <[email-masked]>; [email-masked]; [email-masked]
抄送: [email-masked]
主题: Re: [Teas] Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

Hi,

Since you asked....

I think Pavan and I have no reservations about this work progressing in the WG.  We do have a couple of things that think it would be worth clarifying before adoption poll.

1) it would be good to clarify that ACTN is one (example) method for implementing centralized control.  The document is good in some places, e.g., section 1, but less so in others. It would be good to ensure that the reader, particularly those new to the topic, understand that ACTN is just one way to provide centralized control, e.g., section 2.3 reads as if ACTN is the sole supported method; a PCE based approach is mentioned in the document but this is buried at end of section 5.2.

2) It would best if the examples lined up with what we are covering in the WG.  For example, I don't believe we've had any suggestion or discussion use of OSPF-TE as an SBI as shown in figure 1.  (A nit, it should be NetConf/YANG.) If your intent is to propose this, than this should be clarified and perhaps added to section 7.

3) We see Section 7 as the (future) core of the document and clearly a work in progress.  This is can be addressed pre or post WG adoption.

Thanks,
Pavan and Lou

On 12/6/2018 7:38 AM, Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept) wrote:
> 主题: Review and thoughts on 
> draft-zheng-teas-gmpls-controller-inter-work
>
> Hi,
>
> You aren't allowed citations in the Abstract, so OLD is ACTN 
> controller hierarchy [RFC8453] NEW is the ACTN controller hierarchy 
> described in RFC 8453 END
>   
> ---
>   
> Abstract
> s/advantage/advantages/
>   
> ---
>   
> s/establish LSP/establish Label Switched Paths (LSPs)/ s/the same 
> network topology/the same view of the network topology/
>   
> ---
>   
> 2.2

---

From: "Belotti, Sergio (Nokia - IT/Vimercate)" <[email-masked]>
Date: Mon, 10 Dec 2018 09:16:41 +0000

Hi Lou, Pavan,
Thanks for your feedback, we were waiting for this as discussed during the presentation in Bangkok.
As said by Haomian, we surely will try to address point 1 and 2 for next update. 

Thanks
Sergio

-----Original Message-----
From: Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept) <[email-masked]> 
Sent: Monday, December 10, 2018 2:15 AM
To: Lou Berger <[email-masked]>; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: 答复: [Teas] Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

Hi, Lou and Pavan,

Best wishes,
Haomian

-----邮件原件-----
发件人: Lou Berger [mailto:[email-masked]]
发送时间: 2018年12月8日 21:54
收件人: Zhenghaomian (Zhenghaomian, Optical &Microwave Technology Research Dept) <[email-masked]>; [email-masked]; [email-masked]
抄送: [email-masked]
主题: Re: [Teas] Review and thoughts on draft-zheng-teas-gmpls-controller-inter-work

Hi,

Since you asked....

Thanks,
Pavan and Lou